using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace PositioningWebApp.Models.ViewModels
{
	public class ModelDevice
	{
		#region Properties
		///<summary>
		/// Gets or sets dvice name
		/// </summary>
		[Required]
		[Display(Name = "Name")]
		public string Name { get; set; }

		///<summary>
		/// Gets or sets dvice identificator
		/// </summary>
		[Required]
		[Display(Name = "Identificator")]
		public string Identificator { get; set; }
		public int Id { get; set; }
		[Display(Name = "Zone")]
		public string ZoneName { get; set; }
		public int IdOwner { get; set; }
		public bool? AlertSended { get; set; }
		[Display(Name = "Alert by email")]
		public string AlertEmail { get; set; }
		[Display(Name = "Alert by SMS")]
		public string AlertSMS { get; set; }
		#endregion
	}
}
